$TITLE (iDCM 44 COMMUNICATIONS FIRMWARE: CONFIGURATION MODULE)
$DATE (8 AUGUST 86)
$NOMO
$PAGING
$REGISTERBANK(0,1,2,3)

;***************************************************************************
;*
;*     TITLE:          iDCM 44 COMMUNICATIONS FIRMWARE: CONFIGURATION MODULE
;*
;*     RELEASE:        2.0
;*
;*     DESCRIPTION:    THIS MODULE CONTAINS THE CONFIGURATION DATA
;*
;*     UPDATES:

;*
;***************************************************************************

;*         

;*           COPYRIGHT 1983, 1986 INTEL CORPORATION

;*

;*           INTEL CORPORATION PROPRIETARY INFORMATION.  THIS LISTING

;*           IS SUPPLIED UNDER THE TERMS OF A LICENSE  AGREEMENT WITH

;*           INTEL CORPORATION  AND MAY NOT  BE COPIED NOR  DISCLOSED

;*           EXCEPT IN  ACCORDANCE WITH THE  TERMS OF THAT AGREEMENT.

;* 

;***************************************************************************

NAME    DCM44C



$INCLUDE (REG44.PDF)

PUBLIC  RMX51_XDATA_SEG
        RMX51_XDATA_SEG         EQU     0

PUBLIC  G_STATION_MODE_CFG
        G_STATION_MODE_CFG      XDATA   0FFFEH          ;H/W Station Mode
                                                        ;  0FFFE for run-time
                                                        ;  003FE for unit-test

PUBLIC  G_STATION_ADDRESS_CFG
        G_STATION_ADDRESS_CFG   XDATA   0FFFFH          ;H/W Station Address
                                                        ;  0FFFF for run-time
                                                        ;  003FF for unit-test

PUBLIC  G_DATA_IN
        G_DATA_IN               XDATA   0FF00H          ;Input data address
                                                        ;  0FF00 for run-time
                                                        ;  00300 for unit-test

PUBLIC  G_COMMAND_IN
        G_COMMAND_IN            XDATA   0FF01H          ;Input command address
                                                        ;  0FF01 for run-time
                                                        ;  00301 for unit-test

PUBLIC  G_DATA_OUT
        G_DATA_OUT              XDATA   0FF00H          ;Output data address
                                                        ;  0FF00 for run-time
                                                        ;  00300 for unit-test

PUBLIC  G_COMMAND_OUT
        G_COMMAND_OUT           XDATA   0FF01H          ;Output command address
                                                        ;  0FF01 for run-time
                                                        ;  00300 for unit-test


PUBLIC  O_FIFO_FULL_BIT
        O_FIFO_FULL_BIT         BIT     INT1

PUBLIC  I_FIFO_EMPTY_BIT
        I_FIFO_EMPTY_BIT        BIT     INT0

PUBLIC  I_DATA_RDY_BIT
        I_DATA_RDY_BIT          BIT     92H             ;Port 1.2

PUBLIC  O_INTERRUPT_ENABLE
        O_INTERRUPT_ENABLE      BIT     EX1

PUBLIC  I_INTERRUPT_ENABLE
        I_INTERRUPT_ENABLE      BIT     EX0

ISEG    AT 04CH



PUBLIC  RQMEMPOOLADR, RQMEMPOOLLEN, RQRAMIDD

PUBLIC  RQSYSTEMSTART, RQSYSBUFSIZE, RQCLOCKPRIORITY, RQCLOCKTICK



RQRAMIDD              EQU      07FF0H

RQMEMPOOLADR:         DS       116      ;SMP = 4CH - 191H

RQMEMPOOLLEN          EQU      $-RQMEMPOOLADR    

RQSYSTEMSTART         EQU      0
RQSYSBUFSIZE          EQU      20 
RQCLOCKPRIORITY       EQU      4        ;PRIORITY OF SYSTEM CLOCK

RQCLOCKTICK           EQU      -1000    ;(NEGATIVE OF) CLOCK CYCLES PER

                                        ;  TICK



END
