rem 

rem *******************************************************

rem 

rem  DCM 44 R2.0 Generation

rem 

rem *******************************************************

rem 

rem *******************************************************



rem  Instructions:

rem 

rem      Create "temp" directory using "mkdir temp"

rem      Load  idcm 44 Source Master Files to temp

rem      Load  idcx 51 (R2.0) Object Master Files to temp

rem      Load  asm51, lib51, rl51 ,and oh Utilities into system

rem      Load  "reg44.pdf" to temp

rem      Load  "r2sys.mac" (a dcx51 generation file) to temp

rem 

rem      Enter "dcmgen"    

rem      

rem      After generation, make sure that the 8-bit xor checksum that

rem      is printed in checksum.doc corresponds to the checksum value

rem      specified in dcm44d.a51.  If it is not the same, then change

rem      dcm44d.a51 to be the same, and regenerate the product.

rem

rem *******************************************************



copy ..\dcx51src.21\dcx51a.mac .

copy ..\dcx51src.21\dcx51a.lit .

copy ..\dcx51src.21\r2sys.mac .

copy ..\dcx51src.21\dcx51.lib .

copy ..\dcx51src.21\dcx51i.lib .



asm51 dcm44c.a51

asm51 dcm44u.a51

asm51 dcm44t.a51

asm51 dcm44p.a51

asm51 dcm44g.a51

asm51 dcm44l.a51

asm51 dcm44s.a51

asm51 dcm44n.a51

asm51 dcm44a.a51

asm51 dcm44r.a51

asm51 dcm44d.a51

asm51 dcm44i.a51

asm51 dcm44ib.a51



erase dcm44.lib

erase dcm44i.lib



lib51 create dcm44.lib

lib51 add dcm44t.obj, dcm44p.obj, dcm44g.obj, dcm44l.obj to dcm44.lib

lib51 add dcm44s.obj, dcm44n.obj, dcm44a.obj, dcm44r.obj to dcm44.lib

lib51 create dcm44i.lib

lib51 add dcm44i.obj to dcm44i.lib

lib51 add dcm44ib.obj to dcm44i.lib



rl51 & <rl51.cmd



erase 8044bem

mkdir 8044bem

erase dcs110

mkdir dcs110

erase dcs120

mkdir dcs120



oh dcm44 to dcm44.hex

copy dcm44.hex 8044bem



copy appl?.a51 dcs120

copy dcm44i.lib dcs120

copy dcx*.* dcs120

erase dcs120\dcx51.lib

erase dcs120\dcx51a.cfg

erase dcs120\dcx51a.add



copy dcm44 dcs110

copy dcs120 dcs110



csum80 dcm44.hex from 0 to 0ffeh >checksum.doc

type checksum.doc



rem *******************************************************

rem 

rem  DCM 44 has been generated

rem 

rem *******************************************************

rem 

